package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.AdmOpInspectionReport;

import java.util.List;

/**
 * 巡检报告Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-29
 */
public interface AdmOpInspectionReportMapper {
    /**
     * 查询巡检报告
     *
     * @param id 巡检报告主键
     * @return 巡检报告
     */
    AdmOpInspectionReport selectAdmOpInspectionReportById(Long id);

    /**
     * 查询巡检报告列表
     *
     * @param inspectionReport 巡检报告
     * @return 巡检报告集合
     */
    List<AdmOpInspectionReport> selectAdmOpInspectionReportList(AdmOpInspectionReport inspectionReport);

    /**
     * 新增巡检报告
     *
     * @param inspectionReport 巡检报告
     * @return 结果
     */
    int insertAdmOpInspectionReport(AdmOpInspectionReport inspectionReport);

    /**
     * 修改巡检报告
     *
     * @param inspectionReport 巡检报告
     * @return 结果
     */
    int updateAdmOpInspectionReport(AdmOpInspectionReport inspectionReport);

    /**
     * 删除巡检报告
     *
     * @param id 巡检报告主键
     * @return 结果
     */
    int deleteAdmOpInspectionReportById(Long id);

    /**
     * 批量删除巡检报告
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAdmOpInspectionReportByIds(Long[] ids);
}
